Skip to content

Update Place

PATCH
/users/{user_id}/places/{place_id}
curl --request PATCH \
--url https://example.com/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/places/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Content-Type: application/json' \
--data '{ "liked": true, "name": "example", "notes": "example", "radius_m": 1, "rating": 1, "tags": [ "example" ] }'
user_id
required
User Id
string format: uuid
place_id
required
Place Id
string format: uuid
Media typeapplication/json
PlaceUpdate

Partial update. Metadata fields honor an explicit null (to clear) via model_fields_set.

object
liked
Any of:
boolean
name
Any of:
string
>= 1 characters <= 200 characters
notes
Any of:
string
<= 4000 characters
radius_m
Any of:
number
> 0 <= 2000
rating
Any of:
integer
>= 1 <= 5
tags
Any of:
Array<string>
Examplegenerated
{
"liked": true,
"name": "example",
"notes": "example",
"radius_m": 1,
"rating": 1,
"tags": [
"example"
]
}

Successful Response

Media typeapplication/json
PlaceRead
object
created_at
required
Created At
string format: date-time
id
required
Id
string format: uuid
last_visit_at
Any of:
string format: date-time
lat
required
Lat
number
liked
Any of:
boolean
lng
required
Lng
number
name
required
Name
string
notes
Any of:
string
radius_m
required
Radius M
number
rating
Any of:
integer
source
required
Source
string
tags
Any of:
Array<string>
updated_at
required
Updated At
string format: date-time
visit_count
Any of:
integer
Examplegenerated
{
"created_at": "2026-04-15T12:00:00Z",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"last_visit_at": "2026-04-15T12:00:00Z",
"lat": 1,
"liked": true,
"lng": 1,
"name": "example",
"notes": "example",
"radius_m": 1,
"rating": 1,
"source": "example",
"tags": [
"example"
],
"updated_at": "2026-04-15T12:00:00Z",
"visit_count": 1
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}